Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.layout
Class ScrollableDisplayLayoutData

    java.lang.Object
      echopointng.layout.DisplayLayoutData
          echopointng.layout.ScrollableDisplayLayoutData

All Implemented Interfaces:
  Alignable, BackgroundImageable, Borderable, Delegateable, Heightable, Insetable, MouseCursorable, Positionable, Scrollable, Sizeable, Widthable, java.io.Serializable, LayoutData

    public class ScrollableDisplayLayoutData

extends DisplayLayoutData
implements Scrollable

`ScrollableDisplayLayoutData` is a specialised form of `DisplayLayoutData` that allows the scroll bar properties to be specified for a child component.

See Also:
  `DisplayLayoutData`, Serialized Form

Field Summary

Fields inherited from interface echopointng.able.Scrollable
`ALWAYS, AUTO, CLIPHIDE, NEVER, PROPERTY_SCROLL_BAR_BASE_COLOR, PROPERTY_SCROLL_BAR_POLICY, PROPERTY_SCROLL_BAR_PROPERTIES, UNDEFINED`

Fields inherited from interface echopointng.able.Widthable
`PROPERTY_WIDTH`

Fields inherited from interface echopointng.able.Heightable
`PROPERTY_HEIGHT`

Fields inherited from interface echopointng.able.Positionable
`ABSOLUTE, FIXED, PROPERTY_BOTTOM, PROPERTY_LEFT, PROPERTY_POSITION, PROPERTY_RIGHT, PROPERTY_TOP, PROPERTY_ZINDEX, RELATIVE, STATIC`

Fields inherited from interface echopointng.able.MouseCursorable
`CURSOR_AUTO, CURSOR_CROSSHAIR, CURSOR_CUSTOM_URI, CURSOR_DEFAULT, CURSOR_E_RESIZE, CURSOR_HELP, CURSOR_MOVE, CURSOR_N_RESIZE, CURSOR_NE_RESIZE, CURSOR_NW_RESIZE, CURSOR_POINTER, CURSOR_S_RESIZE, CURSOR_SE_RESIZE, CURSOR_SW_RESIZE, CURSOR_TEXT, CURSOR_W_RESIZE, CURSOR_WAIT, PROPERTY_MOUSE_CURSOR, PROPERTY_MOUSE_CURSOR_URI`

Fields inherited from interface echopointng.able.Insetable
`DEFAULT_INSETS, DEFAULT_OUTSETS, PROPERTY_INSETS, PROPERTY_OUTSETS`

Fields inherited from interface echopointng.able.Borderable
`PROPERTY_BORDER`

Fields inherited from interface echopointng.able.Alignable
`PROPERTY_ALIGNMENT`

Fields inherited from interface echopointng.able.BackgroundImageable
`PROPERTY_BACKGROUND_IMAGE`

Constructor Summary
`ScrollableDisplayLayoutData()`

Method Summary
`Color` | `getScrollBarBaseColor()` Returns the base color of the ScrollBarProperties associated with this `Scrollable`
`int` | `getScrollBarPolicy()` Returns the ScrollBarPolicy in place This can be one of : NONE ALWAYS AUTO CLIPHIDE
`ScrollBarProperties` | `getScrollBarProperties()` Returns the ScrollBarProperties associated with this `Scrollable`
`void` | `setScrollBarBaseColor(Color newValue)` Sets the base color of the ScrollBarProperties associated with this `Scrollable`.
`void` | `setScrollBarPolicy(int newScrollBarPolicy)` Sets the scroll bar policy of the component This can be one of : SCOLLBARS_NONE SCOLLBARS_ALWAYS SCOLLBARS_AUTO CLIPHIDE
`void` | `setScrollBarProperties(ScrollBarProperties newValue)` Sets the ScrollBarProperties associated with this `Scrollable`

Methods inherited from class echopointng.layout.DisplayLayoutData
`clear, getAlignment, getBackground, getBackgroundImage, getBorder, getBottom, getFont, getForeground, getHeight, getInsets, getLeft, getMouseCursor, getMouseCursorURI, getOutsets, getPosition, getProperty, getProperty, getProperty, getRenderProperty, getRenderProperty, getRight, getTop, getWidth, getZindex, isPositioned, setAlignment, setBackground, setBackgroundImage, setBorder, setBottom, setFont, setForeground, setHeight, setInsets, setLeft, setMouseCursor, setMouseCursorURI, setOutsets, setPosition, setProperty, setProperty, setProperty, setRight, setTop, setWidth, setZIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface echopointng.able.Widthable
`getWidth, setWidth`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Heightable
`getHeight, setHeight`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Constructor Detail

### ScrollableDisplayLayoutData

    public ScrollableDisplayLayoutData()

Method Detail

### getScrollBarBaseColor

    public Color getScrollBarBaseColor()

  Description copied from interface: `Scrollable`
  Returns the base color of the ScrollBarProperties associated with this `Scrollable`

  Specified by:
    `getScrollBarBaseColor` in interface `Scrollable`
  Returns:
    the base color of the ScrollBarProperties associated with this `Scrollable`
  See Also:
    `Scrollable.getScrollBarBaseColor()`

### getScrollBarPolicy

    public int getScrollBarPolicy()

  Description copied from interface: `Scrollable`
  Returns the ScrollBarPolicy in place This can be one of :
  - NONE
  - ALWAYS
  - AUTO
  - CLIPHIDE

  Specified by:
    `getScrollBarPolicy` in interface `Scrollable`
  See Also:
    `Scrollable.getScrollBarPolicy()`

### getScrollBarProperties

    public ScrollBarProperties getScrollBarProperties()

  Description copied from interface: `Scrollable`
  Returns the ScrollBarProperties associated with this `Scrollable`

  Specified by:
    `getScrollBarProperties` in interface `Scrollable`
  Returns:
    the ScrollBarProperties associated with this `Scrollable`
  See Also:
    `Scrollable.getScrollBarProperties()`

### setScrollBarBaseColor

    public void setScrollBarBaseColor(Color newValue)

  Description copied from interface: `Scrollable`
  Sets the base color of the ScrollBarProperties associated with this `Scrollable`. If no ScrollBarProperties is available, then a new one should be created.

  Specified by:
    `setScrollBarBaseColor` in interface `Scrollable`
  Parameters:
    `newValue` - - the new base color of ScrollBarProperties to use
  See Also:
    `Scrollable.setScrollBarBaseColor(nextapp.echo2.app.Color)`

### setScrollBarPolicy

    public void setScrollBarPolicy(int newScrollBarPolicy)

  Description copied from interface: `Scrollable`
  Sets the scroll bar policy of the component This can be one of :
  - SCOLLBARS_NONE
  - SCOLLBARS_ALWAYS
  - SCOLLBARS_AUTO
  - CLIPHIDE

  Specified by:
    `setScrollBarPolicy` in interface `Scrollable`
  See Also:
    `Scrollable.setScrollBarPolicy(int)`

### setScrollBarProperties

    public void setScrollBarProperties(ScrollBarProperties newValue)

  Description copied from interface: `Scrollable`
  Sets the ScrollBarProperties associated with this `Scrollable`

  Specified by:
    `setScrollBarProperties` in interface `Scrollable`
  Parameters:
    `newValue` - - the new ScrollBarProperties to use
  See Also:
    `Scrollable.setScrollBarProperties(echopointng.able.ScrollBarProperties)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD